=== debian/changelog ===
freefilesync (8.5.repack-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 20 Sep 2016 15:03:07 -0700

freefilesync (8.5-1~getdeb1) xenial; urgency=medium

  * New upstream version:
    - Support multiple SSH connections per SFTP folder traversal: N times speed
      up.
    - Support multiple SFTP channels per SSH connection: additional N times
      speed up.
    - Fixed installer crashes by using correct DEP-compatibility.
    - Fixed notification area icon being generated too often.
    - Thread-safe SFTP deinitialization on shutdown.
    - Thread-safe mini-dump creation during shutdown.
    - Fixed case-insensitive migration of new csidl macro names.
    - Reduced SFTP access serialization overhead.
    - Buffer SFTP sessions independently from usage context.
    - Detect and discard timed-out SSH sessions.
    - Pre-empt SFTP session disconnect via dedicated SFTP cleanup thread.
    - Run SFTP tasks directly on worker threads without helper thread overhead.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 17 Sep 2016 11:16:45 +0200

freefilesync (8.4.repack-1mx150+1) mx; urgency=medium

  * New upstream version:
    - Mark temporary copies created by %local_path% read-only.
    - Fixed crash when accessing Bitvise SFTP Servers.
    - Support nanosecond-precision file time copying (Linux).
    - Start maximized instead of in full screen mode (OS X).
    - Fixed crash while setting privileges during shutdown.
    - Fixed crash when failing to clean up log files.
    - Fixed EOPNOTSUPP error when copying file to gvfs Samba share (Linux).
    - Fixed default external applications command line (Linux).
    - Thread-safe translation change even during app shutdown.
    - Don't consider port and password when comparing SFTP paths.
    - Updated translation files

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 20 Aug 2016 13:38:29 -0700

freefilesync (8.3-1mx150+1) mx; urgency=medium

  * New upstream version:
    - Make temporary local copy for non-native file paths: %local_path%.
    - Support selections from both grid sides at a time for external
      applications.
    - New external application macros: %item_path%, %folder_path%, %item_path2%,
      %folder_path2%.
    - Migrate external application commands to new macro syntax.
    - Support reverse grid search (Shift + F3).
    - Don't condense empty sub folders on overview panel.
    - Show changelog delta in update notification.
    - Center modal dialogs after layout redetermination.
    - Warn about portable installation into programs folder.
    - Calculate default message dialog height depending on screen size.
    - Don't substitute external applications path for empty base folder.
    - Fixed prolonged tooltip time not being evaluated.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 13 Jul 2016 13:26:50 -0700

freefilesync (8.2-1mx150+1) mx; urgency=medium

  * New upstream version:
    - Unified item path representation on main grid.
    - New progress indicator control for binary comparison.
    - Fixed crash on exit when accessing already destructed constant.
    - Fixed crash when FreeFileSync is still running during OS shutdown.
    - Fixed crash on startup due to missing root certificates.
    - Work around start up crash on Windows installations missing certain
      patches.
    - Fixed in-place progress panel height being trimmed.
    - Support drawing arbitrary polyons with graph control.
    - Apply Posix file name normalization (OS X).
    - Normalize keyboard input encoding for all text fields (OS X).
    - Report errors when cleaning up old log files.
    - Integrate external app WinMerge if installation is found.
    
 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 02 Jun 2016 10:42:04 -0700

freefilesync (8.1-1mx150+1) mx; urgency=medium

  * New upstream version:
    - Follow shell links during drag and drop on main dialog (Windows).
    - Significantly improved main grid rendering performance.
    - Log info about non-default global settings.
    - Establish new network connections only when needed (Windows).
    - Show only a single login dialog per network share.
    - Show login dialogs for the same network address one after another.
    - Fixed endless recursion for paths containing certain unicode
      characters (OS X).
    - Support using portable version without direct installation.
    - Fixed access denied error when verifying read-only target file
      (Windows)
    - New global option for sound cue after comparison.
    - Updated help file.
  * Drop makefile.patch; fixed upstream.
  * Refresh wx-config-dir.patch.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 26 Apr 2016 17:05:54 -0700

freefilesync (8.0-1jessie.1) jessie; urgency=medium

  * New upstream version:
    - Fine-tuned buffer sizes for 70% improved SFTP stream I/O speed. 
    - Support incomplete read/write operations while maximizing buffer
      saturation.
    - Automatically check consistency of FreeFileSync installation.
    - Fixed crash when using SFTP on CPUs without SSE2 support.
    - Improved GUI responsiveness during SFTP I/O.
    - Disabled automatic quote substitution for file filter (OS X).
    - Work around invalid parameter error on FAT drives for broken
      create times.
    - Avoid filter mismatches by using precomposed UTF (OS X).
    - Fixed main dialog close button not being disabled during sync (OS X).
    - Set content format metadata when copying to an MTP device.
    - Fixed F-keys not working in sync config dialog (Linux).
    - Revert to default button margin values (Linux).
    - Fixed crash when thumbnail loading fails on MTP device.
    - Fixed main grids not scrolling in parallel during mouse selection.
    - Revert to default scaling for non-dpi-aware apps.
    - Integrate FreeFileSync online manual.
    - Added Slovak translation.

