=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libwxgtk3.0-dev,
               libgtk2.0-dev,
               wx3.0-headers,
               imagemagick,
               intltool,
               libboost-thread-dev (>= 1.46),
               libboost-system-dev (>= 1.46),
#               libunity-dev,
#               gcc (>= 4:4.5),
               libzenxml2.0-dev
Standards-Version: 3.9.6
Homepage: http://freefilesync.sourceforge.net/

Package: freefilesync
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         xdg-utils
Description: folder comparison and synchronization tool
 This is a folder comparison and synchronization tool. It is optimized 
 for highest performance and usability without restricted or overloaded 
 UI interfaces. 
 .
 Features:
  * Multiple folder pairs
  * Batch capability
  * Binary comparison
  * Handle conflicts and propagate deletions
  * Optimized performance
  * Transactional file copy
  * ...
