=== RealTimeSync/Makefile ===
--- 
+++ 
@@ -2,8 +2,7 @@
 prefix = /usr
 BINDIR = $(DESTDIR)$(prefix)/bin
 
-CXXFLAGS  = -std=c++14 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" -Wall \
--O3 -DNDEBUG `wx-config --cxxflags --debug=no` -DZEN_LINUX -pthread
+CXXFLAGS  = -std=c++14 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -Wall -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread
 
 LINKFLAGS = -s `wx-config --libs std, aui --debug=no` -lboost_thread -lboost_chrono -lboost_system -lz -pthread
 
@@ -32,6 +31,7 @@
 CPP_LIST+=../../../zen/file_traverser.cpp
 CPP_LIST+=../../../zen/zstring.cpp
 CPP_LIST+=../../../zen/format_unit.cpp
+CPP_LIST+=../../../wx+/file_drop.cpp
 CPP_LIST+=../../../wx+/image_tools.cpp
 CPP_LIST+=../../../wx+/image_resources.cpp
 CPP_LIST+=../../../wx+/popup_dlg.cpp
