=== debian/changelog ===
freefilesync (9.2-1mx15+1) mx; urgency=medium

  * New upstream release:
    - Use direct copy instead of transaction to speed up versioning.
    - Replaced file existing handling with use of unique temporary names.
    - Support SFTP authentication via Pageant/SSH agent.
    - New menu option to restore hidden panels individually.
    - Fixed GTK button icon being truncated (Linux).
    - Fixed error dialog hiding behind progress dialog (macOS).
    - Round out FTP symlink deletion handling.
    - Support four-digit year format on IIS FTP.
    - Fixed FTP parsing error for epoch time on Windows server.
    - Narrow contract for file system abstraction regarding existing files.
    - Treat failure to load database as error rather than warning.
    - Save root folder access for certain FTP path checks.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Jul 2017 13:58:10 -0700

freefilesync (9.1-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Don't build against libunity-dev.
  * Add libgtk2.0-dev to build-depends.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 May 2017 13:16:14 -0700

freefilesync (9.1-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 24 May 2017 16:59:45 +0200

freefilesync (9.0-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 20 Apr 2017 18:52:03 +0200

freefilesync (8.6-1~getdeb1) xenial; urgency=medium

  * New upstream version
    Added SFTP support for OS X
    Support SFTP authentication via public/private key
    Remember configuration history scroll position
    SFTP folder picker supports browsing hidden folders
    Fixed failure to copy files with corrupted ADS
    Signed application installer (OS X)
    Increase config history default size to 100 items
    Auto-close FreeFileSync processes before uninstallation
    Simplified SFTP configuration syntax
    Fixed update check sending incomplete keep-alive header
    Detailed error reporting after failed web access
    Suggest folder path macro substitutions also at inner positions
    Transfer folder creation times (OS X)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Nov 2016 03:53:54 +0100

freefilesync (8.4-1~getdeb1) xenial; urgency=medium

  * New upstream version
    Mark temporary copies created by %local_path% read-only
    Fixed crash when accessing Bitvise SFTP Servers
    Support nanosecond-precision file time copying (Linux)
    Start maximized instead of in full screen mode (OS X)
    Fixed crash while setting privileges during shutdown
    Fixed crash when failing to clean up log files
    Fixed EOPNOTSUPP error when copying file to gvfs Samba share (Linux)
    Fixed default external applications command line (Linux)
    Thread-safe translation change even during app shutdown
    Don't consider port and password when comparing SFTP paths
    Updated translation files

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 12 Aug 2016 22:17:23 +0200

freefilesync (8.3-1~getdeb1) xenial; urgency=medium

  * New upstream version (LP: #1591784)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 24 Jul 2016 01:37:18 +0200

freefilesync (8.0-1~getdeb1) wily; urgency=medium

  * New upstream version
    Fine-tuned buffer sizes for 70% improved SFTP stream I/O speed
    Support incomplete read/write operations while maximizing buffer
    saturation
    Automatically check consistency of FreeFileSync installation
    Fixed crash when using SFTP on CPUs without SSE2 support
    Improved GUI responsiveness during SFTP I/O
    Disabled automatic quote substitution for file filter (OS X)
    Work around invalid parameter error on FAT drives for broken create times
    Avoid filter mismatches by using precomposed UTF (OS X)
    Fixed main dialog close button not being disabled during sync (OS X)
    Don't create AppleDouble files if extended attributes are unsupported
    Set content format metadata when copying to an MTP device
    Fixed F-keys not working in sync config dialog (Linux)
    Revert to default button margin values (Linux)
    Fixed crash when thumbnail loading fails on MTP device
    Fixed main grids not scrolling in parallel during mouse selection
    Revert to default scaling for non-dpi-aware apps
    Integrate FreeFileSync online manual
    Added Slovak translation

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 15 Mar 2016 22:02:02 +0100
