=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: freefilesync
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                libwxgtk3.0-dev,
-               libgtk2.0-dev,
                wx3.0-headers,
                imagemagick,
                intltool,
                libboost-thread-dev (>= 1.46),
                libboost-system-dev (>= 1.46),
-#               libunity-dev,
-#               gcc (>= 4:4.5),
-               libzenxml2.0-dev
-Standards-Version: 3.9.6
+# Only available in Ubuntu
+#              libunity-dev,
+               libgtk2.0-dev,
+               libzenxml2.0-dev (>= 2.4)
+Standards-Version: 3.9.8
 Homepage: http://freefilesync.sourceforge.net/
 
 Package: freefilesync
