## freefilesync 9.3

=== debian/changelog ===
freefilesync (9.3-1mx17+1) mx; urgency=medium

  * New upstream release:
    - Support multiple connections per FTP folder traversal: N times speed up.
    - Improved folder traversal time by 35% for FTP servers supporting MLSD.
    - Use single CWD when changing FTP working directory.
    - Maximize FTP input/output speed using prefetch/output buffers and
      async execution.
    - Use larger socket buffer for significant FTP upload speed increase.
    - Fixed out of memory error when copying large files via FTP.
    - New popup dialog option to ignore all errors.
    - Reduced memory peaks by enforcing streaming buffer size limits.
    - Removed custom sync directions from config XML if not needed.
    - Fixed EOPNOTSUPP error on gvfs-mounted FTP (Linux).
    - Prevent input focus stealing after manual comparison.
    - Flash task bar after comparison if other app has input focus.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 13 Sep 2017 18:20:06 -0700
